%define api_version 1.1
%define silcmajor 2
%define clientmajor 2
%define silclibname %mklibname silc %{api_version} %{silcmajor}
%define silclibname_orig %mklibname silc %{api_version}
%define clientlibname %mklibname silcclient %{api_version} %{clientmajor}
%define clientlibname_orig %mklibname silcclient %{api_version}

Summary:	SILC toolkit
Name:		silc-toolkit
Version:	1.1.7
Release:	%mkrel 2
License:	LGPL
Group:		Networking/Chat
URL:		http://silcnet.org/
Source0:	http://silcnet.org/download/toolkit/sources/%{name}-%{version}.tar.bz2
Patch1:		silc-toolkit-1.1.5-libidn.patch
Patch2:		silc-toolkit-1.1.5-docinst.patch
Requires:	%{silclibname} = %{version}
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package provides development related files for any application that
has SILC support.

%package	-n %{silclibname}
Summary:	SILC library
Group:		System/Libraries
Provides:	%{silclibname_orig} = %{version}-%{release}
Requires:	%{name} = %{version}
Obsoletes:	%mklibname silc- 1.0 %{silcmajor}
Obsoletes:	%mklibname silc- 1.1 2

%description	-n %{silclibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This is the library implementing SILC protocol, including core components,
cryptographic algorithms and utility functions.

%package	-n %{clientlibname}
Summary:	SILC client library
Group:		System/Libraries
Provides:	%{clientlibname_orig} = %{version}-%{release}
Obsoletes:	%{_lib}silc-client1
Provides:	%{_lib}silc-client1 = %{version}-%{release}
Obsoletes:	%mklibname silcclient- 1.0 1
Obsoletes:	%mklibname silcclient- 1.1 2

%description	-n %{clientlibname}
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

The SILC Client library. Implementation of the SILC Client without
the user interface.  The library provides an interface for user
interface designers.

%package	devel
Summary:	SILC toolkit
Group:		Development/Other
# rpmlint wants that, so be it
Requires:	%{name} = %{version}
Provides:	%{clientlibname_orig}-devel = %{version}-%{release}
Requires:	%{clientlibname} = %{version}
Provides:	%{silclibname_orig}-devel = %{version}-%{release}
Requires:	%{silclibname} = %{version}
Obsoletes:	%{_lib}client1-devel
Provides:	%{_lib}client1-devel = %{version}-%{release}
Obsoletes:	%{_lib}silc-client1-devel
Provides:	%{_lib}silc-client1-devel = %{version}-%{release}

%description	devel
SILC (Secure Internet Live Conferencing) is a protocol which provides
secure conferencing services on the Internet over insecure channel.
SILC is IRC-like software although internally they are very different.
The biggest similarity between SILC and IRC is that they both provide
conferencing services and that SILC has almost the same commands as IRC.
Other than that they are nothing alike.  Major differences are that SILC
is secure what IRC is not in any way.  The network model is also entirely
different compared to IRC.

This package contains all development related files for developing or 
compiling applications using SILC protocol.

%prep
%setup -q
%patch1 -p1 -b .libidn
%patch2 -p1 -b .docinst

find -type f | xargs file | grep -v script | cut -d: -f1 | xargs chmod -x

%build
autoreconf

%configure2_5x \
	--with-logsdir=%{_logdir}/silc \
	--with-simdir=%{_libdir}/silc/modules \
	--with-silcd-pid-file=%{_var}/run/silcd.pid \
	--enable-ipv6 \
	--enable-shared \
	--with-perl=module \
	--with-perl-lib=vendor \
	--without-silcd \
	--without-irssi \
	--includedir=%{_includedir}/silc

# parallel will succeed but produce broken library
make

%install
rm -rf %{buildroot}

%makeinstall_std

%post -n %{silclibname} -p /sbin/ldconfig

%postun -n %{silclibname} -p /sbin/ldconfig

%post -n %{clientlibname} -p /sbin/ldconfig

%postun -n %{clientlibname} -p /sbin/ldconfig

%triggerpostun -- libsilc-client1 <= 1.0.1-2mdk
tempfile=`mktemp /etc/ld.so.conf.XXXXXX` || exit $?
grep -v "^%{_libdir}/silc$" /etc/ld.so.conf > $tempfile && cat $tempfile > /etc/ld.so.conf
rm -f $tempfile

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README* CHANGES TODO
%{_libdir}/silc

%files -n %{silclibname}
%defattr(-,root,root)
%{_libdir}/libsilc-%{api_version}.so.%{silcmajor}*

%files -n %{clientlibname}
%defattr(-,root,root)
%{_libdir}/libsilcclient-%{api_version}.so.%{clientmajor}*

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_includedir}/silc
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 1.1.7-2mdv2008.1
+ Revision: 197112
- drop patch 0, trying to fix bug #40137

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2009.0
+ Revision: 195861
- new version

* Tue Mar 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2008.1
+ Revision: 188508
- 1.1.6, fixes #38836 (CVE-2008-1227: silc - remote DoS and/or arbitrary code execution)
- sync with fc9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Funda Wang <fundawang@mandriva.org> 1.1.5-1mdv2008.1
+ Revision: 110844
- update to new version 1.1.5

* Wed Oct 17 2007 Funda Wang <fundawang@mandriva.org> 1.1.3-2mdv2008.1
+ Revision: 99721
- correct libname according to lib policy at http://wiki.mandriva.com/en/Policies/Library
- New version 1.1.3

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 1.1.2-2mdv2008.0
+ Revision: 54684
- clean spec file
- remove wrong obsoletes and provides

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 1.1.2-1mdv2008.0
+ Revision: 54533
- perl-silc is provided by silc-client now
- Obsoletes old library
- New version

* Tue May 08 2007 Funda Wang <fundawang@mandriva.org> 1.0.2-2mdv2008.0
+ Revision: 25013
- fix rpm group


* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2007.0
+ Revision: 110993
- we need glib 1.2
- fix buildrequires
- new version
- fix major
- fix installation
- add perl module

  + Emmanuel Andry <eandry@mandriva.org>
    - Import silc-toolkit

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-3mdk
- rebuild for sparc

* Sat Jul 02 2005 Abel Cheung <deaddog@mandriva.org> 0.9.13-2mdk
- Fix 64bit arch install

* Wed Apr 27 2005 Abel Cheung <deaddog@mandriva.org> 0.9.13-1mdk
- New release 0.9.13

* Tue Feb 01 2005 Abel Cheung <deaddog@mandrake.org> 0.9.12-3mdk
- multiarch

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.9.12-2mdk
- Disable parallel build

* Sun Oct 24 2004 Abel Cheung <deaddog@mandrake.org> 0.9.12-1mdk
- First package for Mandrakelinux
- Replace the libraries and devel package from silc-client

